Skip to main content
`Ctrl`+`K`

# PCFactorGetLevels

Gets the number of levels of fill to use.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorGetLevels(PC pc, PetscInt *levels)

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- levels - number of levels of fill

## See Also

KSP: Linear System Solvers, `PCILU`, `PCICC`, `PCFactorSetLevels()`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Implementations

PCFactorGetLevels_Factor() in src/ksp/pc/impls/factor/factimpl.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages